window.Gleam.initSearch([{"doc":"dag_json","title":"dag_json","content":"# dag_json\n\nBindings to the [js implementation](https://github.com/ipld/js-dag-json) of dag-json.\n\n[![Package Version](https://img.shields.io/hexpm/v/dag_json)](https://hex.pm/packages/dag_json)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/dag_json/)\n\n```sh\nnpm install --save @ipld/dag-json@10\ngleam add dag_json@1\n```\n```gleam\nimport dag_json as codec\n\npub fn code_test() {\n  codec.code()\n  |&gt; should.equal(297)\n}\n\npub fn name_test() {\n  codec.name()\n  |&gt; should.equal(&quot;dag-json&quot;)\n}\n\n// dag-json has a convention for encoding binary data\npub fn encode() {\n  codec.binary(&lt;&lt;1, 2&gt;&gt;)\n  |&gt; codec.encode\n}\n\npub fn decode() {\n  &lt;&lt;&quot;{\\&quot;bar\\&quot;:\\&quot;baz\\&quot;}&quot;&gt;&gt;\n  |&gt; codec.decode\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/dag_json&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\n```\n\n## Credit\n\nCreated for [EYG](https://eyg.run/), a new integration focused programming language.","url":"index.html"},{"doc":"dag_json","title":"array","content":"pub const array: fn(List(Json)) -&gt; Json\n\nSynonyms:\ndag_json.array\ndag_json array","url":"dag_json.html#array"},{"doc":"dag_json","title":"bool","content":"pub const bool: fn(Bool) -&gt; Json\n\nSynonyms:\ndag_json.bool\ndag_json bool","url":"dag_json.html#bool"},{"doc":"dag_json","title":"float","content":"pub const float: fn(Float) -&gt; Json\n\nSynonyms:\ndag_json.float\ndag_json float","url":"dag_json.html#float"},{"doc":"dag_json","title":"int","content":"pub const int: fn(Int) -&gt; Json\n\nSynonyms:\ndag_json.int\ndag_json int","url":"dag_json.html#int"},{"doc":"dag_json","title":"null","content":"pub const null: fn() -&gt; Json\n\nSynonyms:\ndag_json.null\ndag_json null","url":"dag_json.html#null"},{"doc":"dag_json","title":"nullable","content":"pub const nullable: fn(Option(a), fn(a) -&gt; Json) -&gt; Json\n\nSynonyms:\ndag_json.nullable\ndag_json nullable","url":"dag_json.html#nullable"},{"doc":"dag_json","title":"object","content":"pub const object: fn(List(#(String, Json))) -&gt; Json\n\nSynonyms:\ndag_json.object\ndag_json object","url":"dag_json.html#object"},{"doc":"dag_json","title":"string","content":"pub const string: fn(String) -&gt; Json\n\nSynonyms:\ndag_json.string\ndag_json string","url":"dag_json.html#string"},{"doc":"dag_json","title":"binary","content":"pub fn binary(bytes: BitArray) -&gt; Json\n\nSynonyms:\ndag_json.binary\ndag_json binary","url":"dag_json.html#binary"},{"doc":"dag_json","title":"cid","content":"pub fn cid(cid: String) -&gt; Json\n\nSynonyms:\ndag_json.cid\ndag_json cid","url":"dag_json.html#cid"},{"doc":"dag_json","title":"code","content":"pub fn code() -&gt; Int\n\nSynonyms:\ndag_json.code\ndag_json code","url":"dag_json.html#code"},{"doc":"dag_json","title":"decode","content":"pub fn decode(data: BitArray) -&gt; Result(Dynamic, String)\n\nSynonyms:\ndag_json.decode\ndag_json decode","url":"dag_json.html#decode"},{"doc":"dag_json","title":"encode","content":"pub fn encode(node: Json) -&gt; BitArray\n\nSynonyms:\ndag_json.encode\ndag_json encode","url":"dag_json.html#encode"},{"doc":"dag_json","title":"name","content":"pub fn name() -&gt; String\n\nSynonyms:\ndag_json.name\ndag_json name","url":"dag_json.html#name"},{"doc":"dag_json","title":"dag_json","content":"","url":"dag_json.html"}]);